Bug 87212 - [update] mail/qmrtg update to version 2.1
Summary: [update] mail/qmrtg update to version 2.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Renato Botelho
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-10-10 16:40 UTC by mij
Modified: 2005-10-13 13:19 UTC (History)
0 users

See Also:


Attachments
mail_qmrtg.diff (8.97 KB, patch)
2005-10-10 16:40 UTC, mij
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description mij 2005-10-10 16:40:13 UTC
	This patch upgrades mail/qmrtg/ to version 2.1.
	Changelog includes:
	- completely new analyzers, more fast, powerful and reusable
	- capability to monitor DNSBL (rbl)
	- way easier extensibility
	- vastly improved documentation

	No files have been added to the port; the following disappeared:
	files/patch-qmrtg.sh
	files/patch-qmrtgsync.sh
	files/

	`portlint -A` reports 3 fatals on this port, about the usage of WITHs
	before the inclusion of pre.mk. This is known, as the usage is just
	setting defaults in case of non-interactive run. Also, the port creates
	a directory with absolute path, /var/db/${PORTNAME}, removed in
	deinstall. This is also known and under control.

	This version of the software itself is no longer compatible with
	config files from older versions, so upgrading will break a working
	scenario. I don't know if there's any best-practice for notifying
	the user about this; it's just told in pkg-message as of now.
Comment 1 Renato Botelho freebsd_committer 2005-10-10 16:43:27 UTC
Responsible Changed
From-To: freebsd-ports-bugs->garga

I can take it.
Comment 2 Renato Botelho freebsd_committer 2005-10-11 17:24:29 UTC
State Changed
From-To: open->feedback

What do you think about add this new port as qmrtg2?
Comment 3 Renato Botelho freebsd_committer 2005-10-13 13:19:55 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!